bbswitch-dkms 0.7-2ubuntu1: bbswitch kernel module failed to build

Bug #1528085 reported by Greg on 2015-12-21
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
bbswitch (Ubuntu)
High
Unassigned

Bug Description

Description: Ubuntu 15.10
Release: 15.10

Trying to update the kernal via package manager, expected it to install the kernal and process of dkms

failed on dkms

ProblemType: Package
DistroRelease: Ubuntu 15.10
Package: bbswitch-dkms 0.7-2ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-21.25-generic 4.2.6
Uname: Linux 4.2.0-21-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia
ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
DKMSKernelVersion: 4.2.0-22-generic
Date: Mon Dec 21 02:48:41 2015
DuplicateSignature: dkms:bbswitch-dkms:0.7-2ubuntu1:gcc: error: unrecognized command line option ‘-fstack-protector-strong’
InstallationDate: Installed on 2015-12-17 (3 days ago)
InstallationMedia: Kubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
PackageVersion: 0.7-2ubuntu1
RelatedPackageVersions:
 dpkg 1.18.2ubuntu5.1
 apt 1.0.10.2ubuntu1
SourcePackage: bbswitch
Title: bbswitch-dkms 0.7-2ubuntu1: bbswitch kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

Greg (greg-yorkshire-uk) wrote :
tags: removed: need-duplicate-check
tags: added: trusty
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bbswitch (Ubuntu):
status: New → Confirmed
Greg (greg-yorkshire-uk) wrote :

I solved this. I forget which version you need now but this is related to your gcc version.

I have to setup my gcc alteratives then set the selector to automatic.

Changed in bbswitch (Ubuntu):
importance: Undecided → High
N (sunnybubblegum) wrote :
Download full text (3.7 KiB)

Here is my console output when I installed the upstream Linux kernel header and image .deb files, on Ubuntu 14.04.4.

I will still be rebooting my system after this to see if the install worked. Just thought I'd provide this in case it helps.

----------

nicholas@Nicholas:~/Downloads/Linux Kernel Test/v4.7-rc3-yakkety$ sudo dpkg -i *.deb
Selecting previously unselected package linux-headers-4.7.0-040700rc3.
(Reading database ... 259391 files and directories currently installed.)
Preparing to unpack linux-headers-4.7.0-040700rc3_4.7.0-040700rc3.201606121131_all.deb ...
Unpacking linux-headers-4.7.0-040700rc3 (4.7.0-040700rc3.201606121131) ...
Selecting previously unselected package linux-headers-4.7.0-040700rc3-generic.
Preparing to unpack linux-headers-4.7.0-040700rc3-generic_4.7.0-040700rc3.201606121131_amd64.deb ...
Unpacking linux-headers-4.7.0-040700rc3-generic (4.7.0-040700rc3.201606121131) ...
Selecting previously unselected package linux-image-4.7.0-040700rc3-generic.
Preparing to unpack linux-image-4.7.0-040700rc3-generic_4.7.0-040700rc3.201606121131_amd64.deb ...
Done.
Unpacking linux-image-4.7.0-040700rc3-generic (4.7.0-040700rc3.201606121131) ...
Setting up linux-headers-4.7.0-040700rc3 (4.7.0-040700rc3.201606121131) ...
Setting up linux-headers-4.7.0-040700rc3-generic (4.7.0-040700rc3.201606121131) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
Error! Bad return status for module build on kernel: 4.7.0-040700rc3-generic (x86_64)
Consult /var/lib/dkms/bbswitch/0.7/build/make.log for more information.
Setting up linux-image-4.7.0-040700rc3-generic (4.7.0-040700rc3.201606121131) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bbswitch-dkms.0.crash'
Error! Bad return status for module build on kernel: 4.7.0-040700rc3-generic (x86_64)
Consult /var/lib/dkms/bbswitch/0.7/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
update-initramfs: Generating /boot/initrd.img-4.7.0-040700rc3-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.7.0-040700rc3-generic /boot/vmlinuz-4.7.0-040700rc3-generic
Generating grub configuration file ...
Warning: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Found linux image: /boot/vmlinuz-4.7.0-040700rc3-generic
Found initrd image: /boot/initrd.img-4.7.0-040700rc3-generic
Found linux image: /boot/vmlinuz-3.13.0-88-generic
Found i...

Read more...

N (sunnybubblegum) wrote :

I rebooted my system and it seems like everything was alright after all. I'm now successfully using the new kernel.

LordOfRuin (lordofruin) wrote :

I am no guru, however I did notice something which may help those who are gurus:

I am having video tearing issues with nvidia gtx960m on an MSi Ge72 2qd (side issue, but relevant).

1 -I installed the nvidia-364 drivers to test in current latest 3.x kernel, also intending to test under 4.5.2 (under 14-04 trusty installation).

2 - Rebooted after install of nvidia-364 drivers (found video tearing still present), so...

3 - Ran dpkg -i *.deb (as root) from directory containing 4.5.2 amd64 .debs and got the error that this bugtrack is about.

4 - I had previously done the same (i.e. built and run 4.5.2) on another unit runing 14.04 Trusty WITHOUT nvidia gpu/drivers in it without error messages, so...

5 - Uninstalled nvidia drivers as root (apt-get remove nvidia* && apt-get autoremove THEN apt-get purge nvidia*) - belt and braces I know but purge does pick up 4 further items to remove.

6 - Ran dpkg -i *.deb (as root) from directory containing 4.5.2 amd64 .debs and GOT NO ERROR.

I have zero idea whether this is directly related to nvidia or to proprietary video drivers in general - however this might help the devs get on the right path to fixing it.

DEVS: feel free to contact me if you need any further info about my system/setup

Cheers,

LOR

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers